Bug 45802 - LibreOffice fails to update cell reference field after changing between A1/R1C1
Summary: LibreOffice fails to update cell reference field after changing between A1/R1C1
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Reference
  Show dependency treegraph
 
Reported: 2012-02-08 13:39 UTC by OfficeUser
Modified: 2018-07-12 02:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2012-02-08 13:39:31 UTC
This bug report is about the input field in the calc toolbar, where the name of the selected cell/range is displayed. By default after opening a blank spreadsheet it displays "A1".


Bug Report:
- Open a blank spreadsheet: Note A1 is displayed in the cell reference field
- Go to "Tools/Options.../LibreOffice Calc/Formula"
- Change "Formula syntax" to "Excel R1C1"
- Click OK

Note: The reference field still displays "A1".

- Move the cursor right and left: Now "R1C1" is displayed as expected.
Comment 1 bfoman (inactive) 2012-07-18 08:14:59 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 Owen Genat (retired) 2014-08-09 07:14:07 UTC
Tested under GNU/Linux using:

- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
- v4.3.0.3 Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7

All versions still exhibit the initial display problem as reported.
Comment 3 QA Administrators 2015-09-04 02:48:10 UTC Comment hidden (obsolete)
Comment 4 OfficeUser 2015-10-22 20:18:47 UTC
The bug is still present in
Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe

I have tested the Linux build.
Comment 5 QA Administrators 2016-11-08 11:18:58 UTC Comment hidden (obsolete)
Comment 6 OfficeUser 2016-11-08 13:25:31 UTC
I can still reproduce this bug with LibreOffice 5.2.3.2.
Comment 7 QA Administrators 2018-07-12 02:44:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug